Groovy 1.7.6

## groovy.swing.factory
[Groovy] Class ColumnModelFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.ColumnModelFactory

    class ColumnModelFactory
    extends AbstractFactory

Authors:
  Alexander Klein
  Hamlet D'Arcy

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

Copyright © 2003-2010 The Codehaus. All rights reserved.